Subject: Re: [mpls] Retiring ACH TLVs

From: Lizhong Jin <[email-masked]>
Date: Fri, 17 May 2013 13:44:11 +0800

Hi,
Support, and I like this. But it seems deleting section 3 in RFC5586 is not
enough. Other sections in RFC5586 also has the content of ACH TLV. Is it
engouth to update by only deleting section 3 described in this draft?

Lizhong

>
>
> On Tue, May 7, 2013 at 1:08 PM, Adrian Farrel <[email-masked]> wrote:
>
> > Hi,
> >
> > ACH TLVs keep popping up and causing Stewart and me trouble. Mainly it is
> > about explaining why no-one actually wants to use them (i.e., when each
> new
> > ACH Type is defined and has a "No TLVs" written for it, we get asked "why
> > not?").
> >
> > It seems to us that ACH TLVs are an idea that has been rejected.
> Initially
> > we thought they might be used (especially for identifiers), but there
> seems
> > to be good opinion that handling generic TLVs would be a pain.
> >
> > Since I was heavily responsible for insisting that ACH TLVs were included
> > in RFC 5586, it seems reasonable that I do the work to fix it.
> >
> > The I-D below retires ACH TLVs and handles the necessary registry
> changes.
> >
> > Note, of course, that structured data are still possible within
> individual
> > ACHs if the protocol spec for an individual ACH decides to have them.
> >
> > We're directing this work to the MPLS working group because that is where
> > 5586 was written. I have BCC'ed PWE3, L2VPN, and BFD for information.
> >
> > Thanks for any comments.
> >
> > As humble WG contributors we would be enthusiastic to see early WG
> > adoption and last call :-)
> >
> > Thanks,
> > Adrian
> >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]
> > > Sent: 07 May 2013 17:33
> > > To: Adrian Farrel; Stewart Bryant
> > > Subject: New Version Notification for
> > draft-farbryantrel-mpls-retire-ach-tlv-
> > > 00.txt
> > >
> > >
> > > A new version of I-D, draft-farbryantrel-mpls-retire-ach-tlv-00.txt
> > > has been successfully submitted by Adrian Farrel and posted to the
> > > IETF repository.
> > >
> > > Filename:      draft-farbryantrel-mpls-retire-ach-tlv
> > > Revision:      00
> > > Title:                 Retiring TLVs from the Associated Channel Header
> > of the MPLS
> > > Generic Associated Channel
> > > Creation date:         2013-05-07
> > > Group:                 Individual Submission
> > > Number of pages: 4
> > > URL:
> > http://www.ietf.org/internet-drafts/draft-farbryantrel-mpls-retire-
> > > ach-tlv-00.txt
> > > Status:
> > http://datatracker.ietf.org/doc/draft-farbryantrel-mpls-retire-ach-tlv
> > > Htmlized:
> > http://tools.ietf.org/html/draft-farbryantrel-mpls-retire-ach-tlv-00
> > >
> > >
> > > Abstract:
> > >    The MPLS Generic Associated Channel (G-ACh) is a generalization of
> > >    the applicability of the Pseudowire (PW) Associated Channel Header
> > >    (ACH).  RFC 5586 defines the concept of Type-Length-Variable (TLV)
> > >    constructs that can be carried in messages on the G-ACh by placing
> > >    them in the ACH.
> > >
> > >    No Associated Channel Type yet defined uses a TLV.  Furthermore, it
> > >    is believed that handling TLVs in hardware introduces significant
> > >    problems to the fast-path, and since G-ACh messages are intended to
> > >    be processed substantially in hardware, the use of TLVs in
> > >    undesirable.
> > >
> > >    This document updates RFC 5586 by retiring ACH TLVs and removing the
> > >    associated registry.
> > >
> > >
> > >
> > >
> > > The IETF Secretariat
> >
> > _______________________________________________
> > mpls mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mpls
> >
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <
> http://www.ietf.org/mail-archive/web/mpls/attachments/20130516/f560777c/attachment.htm
> >
>
> ------------------------------
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 20 May 2013 17:42:54 +0100

Hi Lizhong,
 
I just went back and checked 5586.
 
In Section 4 it talks about "ACH TLVs if present." And I am working on the
assumption that if TLVs are not defined, they will never be present, so the text
doesn't actually need updating.
 
In Section  10 there is the IANA work to create the ACH TLV registry and add the
column to the ACH Type registry. We are directly instructing IANA to remove that
from the registry, and I don't think that 5586 needs to be updated.
 
Our aim was minimal and clear update to 5586 rather than a new revision. 
 
If the WG prefers, we could bis 5586 to remove all discussion of the ACH TLV.
 
Thanks,
Adrian
 
From: Lizhong Jin [mailto:[email-masked]] 
Sent: 17 May 2013 06:44
To: [email-masked]; [email-masked]
Subject: Re: [mpls] Retiring ACH TLVs
 
Hi,
Support, and I like this. But it seems deleting section 3 in RFC5586 is not
enough. Other sections in RFC5586 also has the content of ACH TLV. Is it engouth
to update by only deleting section 3 described in this draft?
 
Lizhong

On Tue, May 7, 2013 at 1:08 PM, Adrian Farrel <[email-masked]> wrote:

> about explaining why no-one actually wants to use them (i.e., when each new
> It seems to us that ACH TLVs are an idea that has been rejected. Initially
> we thought they might be used (especially for identifiers), but there seems
> The I-D below retires ACH TLVs and handles the necessary registry changes.
>
> Note, of course, that structured data are still possible within individual
-------------- next part --------------
An HTML attachment was scrubbed...
URL:
<http://www.ietf.org/mail-archive/web/mpls/attachments/20130516/f560777c/attachm
ent.htm>

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 21 May 2013 15:34:02 +0100

"If the WG prefers, we could bis 5586 to remove all discussion of the 
ACH TLV."

Noting that this will inevitably take longer, and is not mutually
exclusive with this approach. However the longer we take the
longer we will have to answer the question about why
we say we preclude them in each ACK draft.

... but is up to the WG, we can follow either path.

Stewart

On 20/05/2013 17:42, Adrian Farrel wrote:
> In Section 4 it talks about "ACH TLVs if present." And I am working on 
> the assumption that if TLVs are not defined, they will never be 
> present, so the text doesn't actually need updating.
>
> In Section10 there is the IANA work to create the ACH TLV registry and 
> add the column to the ACH Type registry. We are directly instructing 
> IANA to remove that from the registry, and I don't think that 5586 
> needs to be updated.
>
> *From:*Lizhong Jin [mailto:[email-masked]]
> *Sent:* 17 May 2013 06:44
> *To:* [email-masked]; [email-masked]
> *Subject:* Re: [mpls] Retiring ACH TLVs
>
> Hi,
>
> Support, and I like this. But it seems deleting section 3 in RFC5586 
> is not enough. Other sections in RFC5586 also has the content of ACH 
> TLV. Is it engouth to update by only deleting section 3 described in 
> this draft?
>
> Lizhong
>
>
>
>
>     On Tue, May 7, 2013 at 1:08 PM, Adrian Farrel <[email-masked]
>     <mailto:[email-masked]>> wrote:
>
>     > Hi,
>     >
>     > > From: [email-masked]
>     <mailto:[email-masked]> [mailto:[email-masked]
>     <mailto:[email-masked]>]
>     > > Sent: 07 May 2013 17:33
>     > > A new version of I-D,
>     draft-farbryantrel-mpls-retire-ach-tlv-00.txt
>     > [email-masked] <mailto:[email-masked]>
>     <http://www.ietf.org/mail-archive/web/mpls/attachments/20130516/f560777c/attachment.htm>
>

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Lizhong Jin <[email-masked]>
Date: Tue, 21 May 2013 22:57:10 +0800

Hi Adrian,

> assumption that if TLVs are not defined, they will never be present, so the
> text doesn't actually need updating.
>
[Lizhong] Thanks for the reply. I do not have strong preferrence for bising
RFC5586. A note in section 2 maybe be enough, e.g, since ACH TLV has been
removed, the ACH TLV description in section 4 will also be removed.

Thanks
Lizhong

> **
>
> In Section  10 there is the IANA work to create the ACH TLV registry and
> add the column to the ACH Type registry. We are directly instructing IANA
> to remove that from the registry, and I don't think that 5586 needs to be
> updated.****
>
> ** **
>
> Our aim was minimal and clear update to 5586 rather than a new revision. *
> ***
>
> ** **
>
> If the WG prefers, we could bis 5586 to remove all discussion of the ACH
> TLV.****
>
> ** **
>
> Thanks,****
>
> Adrian****
>
> ** **
>
> *From:* Lizhong Jin [mailto:[email-masked]]
> *Subject:* Re: [mpls] Retiring ACH TLVs****
>
> ** **
>
> Hi,****
>
> Support, and I like this. But it seems deleting section 3 in RFC5586 is
> not enough. Other sections in RFC5586 also has the content of ACH TLV. Is
> it engouth to update by only deleting section 3 described in this draft?**
> **
>
>  ****
>
> Lizhong****
>
>
>  ****
>
>
>
> ------------------------------****
>
>

---

From: Eric Gray <[email-masked]>
Date: Tue, 21 May 2013 15:40:55 +0000

Adrian/Stewart,

                I believe that past precedence exists in abundance to indicate that - if we produce an RFC
that updates RFC 5586, we do not also need to produce an RFC that replaces it for the same purpose.

                For instance, RFC 5586 was updated by RFC 6423.

                There are a number of RFCs that change the name space(s) defined in an earlier RFC for
IANA's management.  I believe that - as long as IANA has an unambiguous understanding of the
current applicable state for registries IANA manages - an updating RFC is sufficient.

                If we were - for some reason - required to replace RFC 5586 at a later date (this might be
needed to "advance" the standard, for instance), I assume we would "roll-up" all updates (and errata)
that are still applicable.

                Once an update that removes ACH TLVs has been published (or is near to being published),
it should no longer be necessary for folks submitting related drafts to explain why ACH TLVs are not
supported.

                Therefore I support the quicker approach of publishing an RFC to update RFC 5586 and
suggest that this is sufficient for now.

--
Eric

From: [email-masked] [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: Monday, May 20, 2013 12:43 PM
To: 'Lizhong Jin'
Cc: [email-masked]
Subject: Re: [mpls] Retiring ACH TLVs

Hi Lizhong,

In Section 4 it talks about "ACH TLVs if present." And I am working on the assumption that if TLVs are not defined, they will never be present, so the text doesn't actually need updating.

In Section  10 there is the IANA work to create the ACH TLV registry and add the column to the ACH Type registry. We are directly instructing IANA to remove that from the registry, and I don't think that 5586 needs to be updated.

Thanks,
Adrian

From: Lizhong Jin [mailto:[email-masked]]
Sent: 17 May 2013 06:44
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [mpls] Retiring ACH TLVs

Hi,
Support, and I like this. But it seems deleting section 3 in RFC5586 is not enough. Other sections in RFC5586 also has the content of ACH TLV. Is it engouth to update by only deleting section 3 described in this draft?

Lizhong

On Tue, May 7, 2013 at 1:08 PM, Adrian Farrel <[email-masked]<mailto:[email-masked]>> wrote:

> > From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>]
> > Sent: 07 May 2013 17:33
> [email-masked]<mailto:[email-masked]>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.ietf.org/mail-archive/web/mpls/attachments/20130516/f560777c/attachment.htm>